#### Beyond Linux® From Scratch (System V Edition) - Version 12.1

### Chapter 25. Graphical Environment Libraries

- Prev

  startup-notification-0.12

- Next

  Vulkan-Headers-1.3.277

- Up
- Home

# Tepl-6.8.0

## Introduction to Tepl

The Tepl package contains a library that eases the development of GtkSourceView-based text editors and IDEs.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/tepl/6.8/tepl-6.8.0.tar.xz

- Download MD5 sum: 5d29b2c9032a1ba2d33ef9c9c9c7de79

- Download size: 164 KB

- Estimated disk space required: 13 MB (with tests)

- Estimated build time: 0.3 SBU (with tests)

### Tepl Dependencies

#### Required

gsettings-desktop-schemas-45.0, ICU-74.2, libgedit-amtk-5.8.0, libgeditsourceview-299.0.4, and uchardet-0.0.8

#### Optional

GTK-Doc-1.33.2 (for documentation) and Valgrind-3.22.0

## Installation of Tepl

Install Tepl by running the following commands:

    mkdir tepl-build &&
    cd    tepl-build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -Dgtk_doc=false     \
                .. &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Dgtk_doc=false`: Disables building the API documentation. Remove if you have GTK-Doc-1.33.2 installed and wish to build the API documentation.

## Contents

Installed Programs: None
Installed Libraries: libtepl-6.so
Installed Directories: /usr/include/tepl-6 and /usr/share/gtk-doc/html/tepl-6.0

### Short Descriptions

`libtepl-6.so` | contains convenience functions for GtkSourceView4-based programs

- Prev

  startup-notification-0.12

- Next

  Vulkan-Headers-1.3.277

- Up
- Home